Subject: Re: bug#4725: 23.1; doc of misearch-* commands (commands?)
From: Juri Linkov <[email-masked]>
To: "Drew Adams" <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Nov 2009 21:44:18 +0200

>> What is missing now and candidates to be implemented are
>> 8 analogous commands:
>>
>>   multi-isearch-buffers
>>   multi-isearch-buffers-regexp
>>   multi-isearch-buffers-matching
>>   multi-isearch-buffers-regexp-matching
>>   multi-isearch-files
>>   multi-isearch-files-regexp
>>   multi-isearch-files-matching
>>   multi-isearch-files-regexp-matching
>
> I'd suggest having just simple commands that let you enter buffer/file names, as
> I said above.
>
> Anyway, do whatever you want in this regard. I agree that it's good for users to
> be able to both (a) choose files/buffers by name individually, and (b) choose
> them by regexp matching.

I agree 8 commands is too much.  So I left the number of commands unchanged.
Now interactively `multi-isearch-buffers' and `multi-isearch-buffers-regexp'
read buffer names to search, one by one, ended with RET.  With a prefix
argument, they ask for a regexp, and search in buffers whose names match
the specified regexp.  Interactively `multi-isearch-files' and
`multi-isearch-files-regexp' read file names to search, one by one,
ended with RET.  With a prefix argument, they ask for a wildcard, and
search in file buffers whose file names match the specified wildcard.

(PS: Some new reading functions duplicate some code from other existing
functions with subtle differences, and I see no way to use existing
functions as is, so I added comments that point to original code).

-- 
Juri Linkov
http://www.jurta.org/emacs/